package com.pcloud.book.group.dto;

import java.io.Serializable;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

/**
 * @author lily
 * @date 2019/4/26 16:11
 */
@ApiModel
public class WeixinQrcodeCountDTO implements Serializable {

    @ApiModelProperty("机器人标识")
    private Integer robotId;

    @ApiModelProperty("总数量")
    private Integer totalCount;

    @ApiModelProperty("使用次数")
    private Integer useCount;

    @ApiModelProperty("未使用次数")
    private Integer notUseCount;

    public Integer getRobotId() {
        return robotId;
    }

    public void setRobotId(Integer robotId) {
        this.robotId = robotId;
    }

    public Integer getTotalCount() {
        return totalCount;
    }

    public void setTotalCount(Integer totalCount) {
        this.totalCount = totalCount;
    }

    public Integer getUseCount() {
        return useCount;
    }

    public void setUseCount(Integer useCount) {
        this.useCount = useCount;
    }

    public Integer getNotUseCount() {
        return notUseCount;
    }

    public void setNotUseCount(Integer notUseCount) {
        this.notUseCount = notUseCount;
    }

    @Override
    public String toString() {
        return "WeixinQrcodeCountDTO{" +
                "robotId=" + robotId +
                ", totalCount=" + totalCount +
                ", useCount=" + useCount +
                ", notUseCount=" + notUseCount +
                '}';
    }
}
